| ## gmxdump Main Table of Contents | VERSION 4.0 Sun 18 Jan 2009

### Description

gmxdump reads a run input file (`.tpa`/`.tpr`/`.tpb`), a trajectory (`.trj`/`.trr`/`.xtc`) or an energy file (`.ene`/`.edr`) and prints that to standard output in a readable format. This program is essential for checking your run input file in case of problems.

When requesting to dump a topology file the program will dump the processed topology, since not all original information is maintained in tpr files.

### Files

option | filename | type | description
--- | --- | --- | ---
`-s` | `topol.tpr` | Input, Opt. | Run input file: tpr tpb tpa
`-f` | `traj.xtc` | Input, Opt. | Trajectory: xtc trr trj gro g96 pdb cpt
`-e` | `ener.edr` | Input, Opt. | Energy file: edr ene
`-cp` | `state.cpt` | Input, Opt. | Checkpoint file
`-om` | `grompp.mdp` | Output, Opt. | grompp input file with MD parameters

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `0` | Set the nicelevel
`-[no]nr` | bool | `yes` | Show index numbers in output (leaving them out makes comparison easier, but creates a useless topology)

http://www.gromacs.org
gromacs@gromacs.org